"""Add preference table and seed setting for default preference.

Revision ID: 251c5e751233
Revises: 389881771619
Create Date: 2015-06-25 17:00:40.502776

"""

# revision identifiers, used by Alembic.
revision = '251c5e751233'
down_revision = '389881771619'

from alembic import op
import sqlalchemy as sa


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('sales_order_line', 'actual_amount')
    op.drop_column('sales_order_line', 'adjust_amount')
    op.drop_column('sales_order_line', 'original_amount')
    preference_table = op.create_table('preference',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('def_so_incoming_type_id', sa.Integer(), nullable=False),
    sa.Column('def_so_incoming_status_id', sa.Integer(), nullable=False),
    sa.Column('def_so_exp_type_id', sa.Integer(), nullable=False),
    sa.Column('def_so_exp_status_id', sa.Integer(), nullable=False),
    sa.Column('def_po_logistic_exp_status_id', sa.Integer(), nullable=False),
    sa.Column('def_po_logistic_exp_type_id', sa.Integer(), nullable=False),
    sa.Column('def_po_goods_exp_status_id', sa.Integer(), nullable=False),
    sa.Column('def_po_goods_exp_type_id', sa.Integer(), nullable=False),
    sa.Column('remark', sa.Text(), nullable=True),
    sa.ForeignKeyConstraint(['def_so_incoming_type_id'], ['enum_values.id'], ),
    sa.ForeignKeyConstraint(['def_so_incoming_status_id'], ['enum_values.id'], ),
    sa.ForeignKeyConstraint(['def_so_exp_type_id'], ['enum_values.id'], ),
    sa.ForeignKeyConstraint(['def_so_exp_status_id'], ['enum_values.id'], ),
    sa.ForeignKeyConstraint(['def_po_logistic_exp_status_id'], ['enum_values.id'], ),
    sa.ForeignKeyConstraint(['def_po_logistic_exp_type_id'], ['enum_values.id'], ),
    sa.ForeignKeyConstraint(['def_po_goods_exp_status_id'], ['enum_values.id'], ),
    sa.ForeignKeyConstraint(['def_po_goods_exp_type_id'], ['enum_values.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.bulk_insert(preference_table, [
        {'id':1, 'def_so_incoming_type_id':12, 'def_so_incoming_status_id':10,
         'def_so_exp_type_id':9, 'def_so_exp_status_id':6,
         'def_po_logistic_exp_status_id': 6, 'def_po_logistic_exp_type_id': 7,
         'def_po_goods_exp_status_id': 6, 'def_po_goods_exp_type_id': 8},
    ],multiinsert=False)
    from sqlalchemy.sql import text
    op.get_bind().execute(text("ALTER SEQUENCE preference_id_seq RESTART WITH 2;"))
    ### end Alembic commands ###


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('sales_order_line', sa.Column('original_amount', sa.NUMERIC(precision=8, scale=2), autoincrement=False, nullable=True))
    op.add_column('sales_order_line', sa.Column('adjust_amount', sa.NUMERIC(precision=8, scale=2), autoincrement=False, nullable=True))
    op.add_column('sales_order_line', sa.Column('actual_amount', sa.NUMERIC(precision=8, scale=2), autoincrement=False, nullable=True))
    op.drop_table('preference')
    ### end Alembic commands ###
