""" Change column definition to extend data size.

Revision ID: 29b31f4d8de6
Revises: 251c5e751233
Create Date: 2015-06-26 04:46:43.519387

"""

# revision identifiers, used by Alembic.
revision = '29b31f4d8de6'
down_revision = '251c5e751233'

from alembic import op
import sqlalchemy as sa


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('enum_values', 'code',
               existing_type=sa.VARCHAR(length=32),
               nullable=False)
    op.alter_column('product', 'purchase_price',
               existing_type=sa.NUMERIC(precision=8, scale=2),
               nullable=False)
    op.alter_column('product', 'retail_price',
               existing_type=sa.NUMERIC(precision=8, scale=2),
               nullable=False)
    ### end Alembic commands ###


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.alter_column('product', 'retail_price',
               existing_type=sa.NUMERIC(precision=8, scale=2),
               nullable=True)
    op.alter_column('product', 'purchase_price',
               existing_type=sa.NUMERIC(precision=8, scale=2),
               nullable=True)
    op.alter_column('enum_values', 'code',
               existing_type=sa.VARCHAR(length=32),
               nullable=True)
    ### end Alembic commands ###
