""" Add super_admin role and grant base administrator roles to it

Revision ID: 93a6e0ee63c9
Revises: 8ff0624764b7
Create Date: 2016-04-18 19:27:39.063915

"""

# revision identifiers, used by Alembic.

revision = '93a6e0ee63c9'
down_revision = '8ff0624764b7'

from alembic import op


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    from sqlalchemy.sql import text
    op.get_bind().execute(text("INSERT INTO role (name, description) VALUES ('super_admin', 'Super Admin Role for all Organizations');"))
    op.get_bind().execute(text("UPDATE \"user\" SET login='super_admin', display = 'Super Administrator' WHERE id=1;"))
    op.get_bind().execute(text("UPDATE role SET name='organization_admin' WHERE name = 'admin'"))
    op.get_bind().execute(text("UPDATE role SET parent_id = (SELECT id FROM role WHERE name = 'super_admin') WHERE name LIKE '%organization_%';"))
    op.get_bind().execute(text("UPDATE role SET parent_id = (SELECT id FROM role WHERE name = 'organization_admin') WHERE name LIKE '%user_%';"))
    op.get_bind().execute(text("UPDATE role SET parent_id = (SELECT id FROM role WHERE name = 'organization_admin') WHERE name LIKE '%role_%';"))
    op.get_bind().execute(text("INSERT INTO roles_users (role_id, user_id) VALUES ((SELECT id FROM role WHERE name='super_admin'), 1);"))
    ### end Alembic commands ###


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    from sqlalchemy.sql import text
    op.get_bind().execute(text("DELETE FROM roles_users WHERE role_id = (SELECT id FROM role WHERE name='super_admin') AND user_id = 1;"))
    op.get_bind().execute(text("UPDATE \"user\" SET login='admin' WHERE id=1;"))
    op.get_bind().execute(text("UPDATE role SET parent_id = NULL WHERE name LIKE '%organization_%';"))
    op.get_bind().execute(text("UPDATE role SET parent_id = NULL WHERE name LIKE '%user_%';"))
    op.get_bind().execute(text("UPDATE role SET parent_id = NULL WHERE name LIKE '%role_%';"))
    op.get_bind().execute(text("UPDATE role SET name='admin' WHERE name = 'organization_admin'"))
    op.get_bind().execute(text("DELETE FROM role WHERE name='super_admin';"))
    ### end Alembic commands ###
