""" Add image model table definition and relationship to product

Revision ID: 0051eed6ee5d
Revises: cad65db44e62
Create Date: 2016-07-16 00:57:34.439371

"""

# revision identifiers, used by Alembic.
revision = '0051eed6ee5d'
down_revision = '4d2c8abdff95'

from alembic import op
import sqlalchemy as sa


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('image',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('alt', sa.Unicode(length=256), nullable=True),
    sa.Column('path', sa.String(length=128), nullable=False),
    sa.Column('public_id', sa.String(length=128), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('product_image',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('product_id', sa.Integer(), nullable=False),
    sa.Column('image_id', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['image_id'], ['image.id'], ),
    sa.ForeignKeyConstraint(['product_id'], ['product.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    ### end Alembic commands ###


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('product_images')
    op.drop_table('image')
    ### end Alembic commands ###
