""" Remove code field from product and supplier and change report view accordingly

Revision ID: c87292d5c7d3
Revises: 668c5802ed96
Create Date: 2016-12-26 22:16:19.581700

"""

# revision identifiers, used by Alembic.
from sqlalchemy import text

revision = 'c87292d5c7d3'
down_revision = '668c5802ed96'

from alembic import op


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.get_bind().execute(text("DROP VIEW sales_order_detail"))
    op.get_bind().execute(text("""
        CREATE OR REPLACE VIEW sales_order_detail AS
        SELECT sol.unit_price AS sales_price, sol.quantity,
            sol.unit_price * sol.quantity AS sales_amount, p.name AS product_name,
            p.id AS product_id, p.purchase_price,
            p.purchase_price * sol.quantity AS purchase_amount,
            sol.unit_price * sol.quantity - p.purchase_price * sol.quantity - so.logistic_amount AS profit,
            so.order_date
        FROM sales_order_line sol, product p, sales_order so
        WHERE sol.product_id = p.id AND sol.sales_order_id = so.id;
    """))
    op.drop_constraint('supplier_code_key', 'supplier', type_='unique')
    op.drop_column(u'supplier', 'code')
    op.drop_constraint('product_code_key', 'product', type_='unique')
    op.drop_column(u'product', 'code')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    pass
    # ### end Alembic commands ###
