""" Separate receiving and inventory transaction related role to it's own definition

Revision ID: ad98a504518a
Revises: c87292d5c7d3
Create Date: 2016-12-28 17:38:09.118807

"""

# revision identifiers, used by Alembic.
from sqlalchemy import text

revision = 'ad98a504518a'
down_revision = 'c87292d5c7d3'

from alembic import op


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.get_bind().execute(text("INSERT INTO role (name, description) VALUES ('receiving_create', 'Receiving Create');"))
    op.get_bind().execute(text("INSERT INTO role (name, description) VALUES ('receiving_view', 'Receiving View');"))
    op.get_bind().execute(text("INSERT INTO role (name, description) VALUES ('receiving_edit', 'Receiving Edit');"))
    op.get_bind().execute(text("INSERT INTO role (name, description) VALUES ('receiving_delete', 'Receiving Delete');"))
    op.get_bind().execute(text("INSERT INTO role (name, description) VALUES ('inventory_transaction_create', 'Inventory Transaction Create');"))
    op.get_bind().execute(text("INSERT INTO role (name, description) VALUES ('inventory_transaction_view', 'Inventory Transaction View');"))
    op.get_bind().execute(text("INSERT INTO role (name, description) VALUES ('inventory_transaction_edit', 'Inventory Transaction Edit');"))
    op.get_bind().execute(text("INSERT INTO role (name, description) VALUES ('inventory_transaction_delete', 'Inventory Transaction Delete');"))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.get_bind().execute(text("DELETE FROM ROLE WHERE name in ('receiving_create', 'receiving_view', 'receiving_edit', 'receiving_delete')"))
    op.get_bind().execute(text("DELETE FROM ROLE WHERE name in ('inventory_transaction_create', 'inventory_transaction_view', 'inventory_transaction_edit', 'inventory_transaction_delete')"))
    # ### end Alembic commands ###
