""" Drop table preference

Revision ID: 3f2bc9bc2775
Revises: a173601e2e8c
Create Date: 2017-04-30 22:46:35.624562

"""

# revision identifiers, used by Alembic.
revision = '3f2bc9bc2775'
down_revision = 'a173601e2e8c'

from alembic import op
import sqlalchemy as sa


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('preference')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('preference',
    sa.Column('id', sa.INTEGER(), nullable=False),
    sa.Column('def_so_incoming_type_id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('def_so_incoming_status_id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('def_so_exp_type_id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('def_so_exp_status_id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('def_po_logistic_exp_status_id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('def_po_logistic_exp_type_id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('def_po_goods_exp_status_id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('def_po_goods_exp_type_id', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('remark', sa.TEXT(), autoincrement=False, nullable=True),
    sa.Column('organization_id', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.ForeignKeyConstraint(['def_po_goods_exp_status_id'], [u'enum_values.id'], name=u'preference_def_po_goods_exp_status_id_fkey'),
    sa.ForeignKeyConstraint(['def_po_goods_exp_type_id'], [u'enum_values.id'], name=u'preference_def_po_goods_exp_type_id_fkey'),
    sa.ForeignKeyConstraint(['def_po_logistic_exp_status_id'], [u'enum_values.id'], name=u'preference_def_po_logistic_exp_status_id_fkey'),
    sa.ForeignKeyConstraint(['def_po_logistic_exp_type_id'], [u'enum_values.id'], name=u'preference_def_po_logistic_exp_type_id_fkey'),
    sa.ForeignKeyConstraint(['def_so_exp_status_id'], [u'enum_values.id'], name=u'preference_def_so_exp_status_id_fkey'),
    sa.ForeignKeyConstraint(['def_so_exp_type_id'], [u'enum_values.id'], name=u'preference_def_so_exp_type_id_fkey'),
    sa.ForeignKeyConstraint(['def_so_incoming_status_id'], [u'enum_values.id'], name=u'preference_def_so_incoming_status_id_fkey'),
    sa.ForeignKeyConstraint(['def_so_incoming_type_id'], [u'enum_values.id'], name=u'preference_def_so_incoming_type_id_fkey'),
    sa.ForeignKeyConstraint(['organization_id'], [u'organization.id'], name=u'preference_organization_id_fkey'),
    sa.PrimaryKeyConstraint('id', name=u'preference_pkey')
    )
    # ### end Alembic commands ###
