"""Add mnemonic for supplier, product and customer, make mobile_phone unique in customer.

Revision ID: 3c66f436a5be
Revises: 3f2bc9bc2775
Create Date: 2017-04-30 22:55:30.543871

"""

# revision identifiers, used by Alembic.
revision = '3c66f436a5be'
down_revision = '3f2bc9bc2775'

from alembic import op
import sqlalchemy as sa


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###

    op.add_column('customer', sa.Column('mnemonic', sa.String(length=128), nullable=True))
    op.create_unique_constraint('customer_mobile_phone_key', 'customer', ['mobile_phone'])
    op.add_column('product', sa.Column('mnemonic', sa.String(length=256), nullable=True))
    op.add_column('supplier', sa.Column('mnemonic', sa.String(length=256), nullable=True))

def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('supplier', 'mnemonic')
    op.drop_column('product', 'mnemonic')
    op.drop_constraint('customer_mobile_phone_key', 'customer', type_='unique')
    op.drop_column('customer', 'mnemonic')
    # ### end Alembic commands ###
